Bug 524356 - rc.sysinit should not try to activate individual dmraid subsets (fix included)
Summary: rc.sysinit should not try to activate individual dmraid subsets (fix included)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: initscripts Maintenance Team
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-19 12:02 UTC by Hans de Goede
Modified: 2011-01-13 23:05 UTC (History)
4 users (show)

Fixed In Version: initscripts-8.45.32-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 23:05:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0075 normal SHIPPED_LIVE initscripts bug fix update 2011-01-12 17:22:01 UTC

Description Hans de Goede 2009-09-19 12:02:26 UTC
The following 3 lines in rc.sysinit
		for dmname in $(/sbin/dmraid -ay -i -p -t 2>/dev/null | \
				egrep -iv "^no " | \
				awk -F ':' '{ print $1 }') ; do

Should be replaced with:
		for dmname in $(/sbin/dmraid -s -c -i); do

Which besides being simpler also has the advantage of not listing subsets
of layer raids (such as raid10) so that we do not try to activate individual
subsets (which fails, and shows ugly error messages).

Note the above lines were copy pasted from Fedora's rc.sysinit so the actual
lines in RHEL might be slightly different, but the same principle applies.

Also see bug 513169, which covers the mkinitrd counterpart of this (mkinitrd
needs the same change for sets activated from the initrd).

Comment 1 Bill Nottingham 2009-10-09 20:20:11 UTC
This also requires the following upstream commit:

http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=383fc9e4ed80c339339a91feeb3736ff637e84b8

Comment 2 RHEL Product and Program Management 2009-11-06 19:06:08 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 3 RHEL Product and Program Management 2010-06-04 15:58:59 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 errata-xmlrpc 2011-01-13 23:05:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0075.html


Note You need to log in before you can comment on or make changes to this bug.